package com.company.json.app.entity

import com.company.jsonaddon.entity.JsonDataEntity
import io.jmix.core.entity.annotation.EmbeddedParameters
import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "APP_TEST_ENTITY")
@Entity(name = "app_TestEntity")
open class TestEntity {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @EmbeddedParameters(nullAllowed = false)
    @Embedded
    @AttributeOverrides(
        value = [
            AttributeOverride(name = "jsonData", column = Column(name = "JSON_JSON_DATA"))
        ]
    )
    var json: JsonDataEntity? = null
}